FSCK.MINIX(8)

NAZWA
fsck.minix - sprawdza spójność systemu plików Minix

SKŁADNIA

fsck.minix [opcje] urządzenie

OPIS

fsck.minix - sprawdza spójność linuksowego systemu plików MINIX.

Program zakłada, że system plików jest unieruchomiony (nie pracuje). fsck.minix nie powinien być stosowany na zamontowanym urządzeniu, chyba że jest się pewnym, że nikt nań nie zapisuje. Proszę pamiętać, że jądro może zapisywać na urządzeniu gdy poszukuje plików.

Urządzenie podane jest zwykle z poniższej postaci:
    /dev/hda[1-63] | Dysk IDE 1
    /dev/hdb[1-63] | Dysk IDE 2
    /dev/sda[1-15] | Dysk SCSI 1
    /dev/sdb[1-15] | Dysk SCSI 2

Jeżeli system plików został zmieniony (np. naprawiony), to fsck.minix wyświetli "FILE SYSTEM HAS CHANGED" (SYSTEM PLIKÓW SIĘ ZMIENIŁ) i wykona trzykrotnie sync(2) przed zakończeniem pracy. Nie ma potrzeby przeładowywania systemu po sprawdzeniu.

OSTRZEŻENIE

fsck.minix nie powinien być stosowany na zamontowanych systemach plików. Posługiwanie się fsck.minix na zamontowanym systemie plików jest bardzo niebezpieczne. Istnieje możliwość, że usunięte pliki są wciąż używane, z tego powodu może poważnie uszkodzić doskonale poprawny system plików! Jeżeli istnieje konieczność uruchomienia fsck.minix na zamontowanym systemie plików (tj. w katalogu głównym (korzeniu) systemu plikowego), proszę się upewnić, że na dysk nic nie jest zapisywane i nie ma żadnych "uśpionych" ("zombies") plików oczekujących na usunięcie.

OPCJE

-l, --list
    Pokazuje wszystkie nazwy plików.

-r, --repair
    Wykonuje naprawy interaktywnie.

-a, --auto
    Wykonuje naprawy automatycznie. Opcja ta implikuje -r i służy do udzielania domyślnej odpowiedzi na wszystkie pytania. Proszę zauważyć, że może to być niezwykle niebezpieczne w przypadku poważnego uszkodzenia systemu plików.

-v, --verbose
    Więcej szczegółów.

-s, --super
    Wyświetla informację o super-bloku.

-m, --uncleared
    Aktywuje ostrzeżenia "mode not cleared" w stylu MINIX.

-f, --force
    Wymusza kontrolę systemu plików, nawet jeśli system plików został oznakowany jako poprawny. Znakowanie to wykonywane jest przez jądro gdy system plików jest odmontowywany.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

-h, --help
    Wyświetla ten tekst i kończy pracę.

DIAGNOSTYKA

Występuje wiele komunikatów diagnostycznych. Wymienione poniżej są najczęściej spotykanymi podczas zwykłego użytkowania.

Jeżeli urządzenie nie istnieje, fsck.minix wyświetli "unable to read super block" (nie można odczytać super-bloku). Jeśli urządzenie istnieje, ale nie jest miniksowym systemem plików, fsck.minix wyświetli "bad magic number in super-block" (błędna liczba magiczna w super-bloku).

KOD ZAKOŃCZENIA

The exit status returned by fsck.minix is the sum of the following:

0
    Brak błędów

3
    Poprawiono błędy systemu plików, jeśli system plików był zamontowany, to system powinien zostać ponownie uruchomiony.

4
    Pozostawiono nienaprawione błędy systemu plików

7
    Combination of exit statuses 3 and 4

8
    Błąd działania

16
    Błąd użycia (składni)

AUTORZY

Exit status values by Added support for filesystem valid flag: Check to prevent fsck of mounted filesystem added by Minix v2 fs support by updated by Portability patch by

ZOBACZ TAKŻE

fsck(8), fsck.ext2(8), mkfs(8), mkfs.ext2(8), mkfs.minix(8), reboot(8)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

The fsck.minix command is part of the util-linux package which can be downloaded from

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.